Subject: RE: New L2TP MIB

From: Klausberger Walter <[email-masked]>
Date: Wed, 1 Aug 2001 10:57:51 +0200

> -----Original Message-----
> From: Evan Caves [mailto:[email-masked]]
> Sent: Tuesday, July 31, 2001 6:26 PM
> To: Klausberger Walter
> Cc: [email-masked]
> Subject: Re: New L2TP MIB
> 
> 
> Hi Walter,
> 
>    I cannot speak for the other editors but if you would like to 
> help out on the L2TPng MIB then welcome.

Great

> 
>    My thoughts on how we should evolve the MIB are similar to yours
> except that, like the revised L2TP base draft, we should provide a
> base L2TP MIB. That is reflect in the MIB what is in the base draft.

Agreed

> Since we cannot predict what L2TP will transport in the future we
> should leave that to L2TP MIB extensions and provide support for
> those extensions in the base MIB. The current MIB provides for
> this (aleit for PPP payloads).

I think that will be the best way. This will allow to add a chapter with MIB
support in future extension drafts. Fo PPP over L2TP we might be too late to
include MIB extensions for PPP in this draft.

> 
>    I will not be in London but I think the other editors might be
> and you can always have a discussion with either the chair or other
> WG members.

So, hope I see you in Salt Lake City...

regards, Walter

> 
> evan
> -
> 
> Klausberger Walter wrote:
> > 
> > Hi,
> > 
> > I'd like to know, who will work on the new L2TP MIB, that 
> will certainly be
> > necessary after introducing the new L2TP concept according 
> to the new
> > agenda. As there are a lot of things to change, we should 
> not delay the MIB
> > as much this time and start as soon as possible.
> > 
> > I think there are some major things to do...
> > 
> > - separating PPP from L2TP
> > - accept HDLC as one access transport protocol among others 
> (eg. PPP over
> > ATM/AAL5, PPP over Frame Relay, PPPoE,...)
> > - provide additional tables for L2TP over AAL5, L2TP over 
> Frame Relay,...
> > - support different tables for LAC and LNS (L2TP is not 
> symmetric, at least
> > the sessions).
> > - adapt the MIB to new L2TP base draft.
> > - restructure the tables to support future extensions like 
> PPP over L2TP
> > ;-), DiffServ,...
> > - and so on...
> > 
> > I would like to volunteer in a new draft. So if someone 
> already has some
> > basic thoughts about that, maybe we should discuss this in 
> London. Maybe we
> > should provide the framework quite soon, so that drafts 
> with extensions to
> > L2TP can also handle the corresponding MIB extensions.
> > 
> > - regards, walter
> > 
> >
>